package com.remax.notification.receiver

import android.content.BroadcastReceiver
import android.content.Context
import android.content.Intent
import com.remax.notification.controller.NotificationTriggerController
import com.remax.notification.utils.NotiLogger

/**
 * 通知删除监听器
 * 用于监听通知的删除事件（滑动删除）
 */
class NotificationDeleteReceiver : BroadcastReceiver() {
    
    override fun onReceive(context: Context?, intent: Intent?) {
        when (intent?.action) {
            "com.remax.notification.ACTION_NOTIFICATION_DELETE" -> {
                NotiLogger.d("通知被删除（滑动删除），停止重复通知")
                
                // 停止重复通知
                NotificationTriggerController.stopRepeatNotification()
            }
        }
    }
}
